Page 1 of 1

رسالة خطأ في الموقع Warning: Cannot modify header informatio

Posted: Sun Jul 15, 2012 7:55 am
by theSADman
موقعي استخدمت فيه جوملا النسخة 1.5.23 تفاجأة اليوم إنه معطوب وتظهر لي رسالة
Warning: session_start() [function.session-start]: Cannot send session cookie - headers already sent by (output started at /home/atitheat/public_html/index.php:1) in /home/atitheat/public_html/libraries/joomla/session/session.php on line 423

Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /home/atitheat/public_html/index.php:1) in /home/atitheat/public_html/libraries/joomla/session/session.php on line 423

Warning: Cannot modify header information - headers already sent by (output started at /home/atitheat/public_html/index.php:1) in /home/atitheat/public_html/libraries/joomla/session/session.php on line 426



والانتي فايروس يظهر لي رسالة آخرى بأنه الموقع بأنه يوجد فايروس تراجون

الحل الحل يا جماعة الخير أخوكم في ورطة

Re: رسالة خطأ في الموقع Warning: Cannot modify header inform

Posted: Sun Jul 15, 2012 12:08 pm
by fares5shm
يرجى استخدام عناوين تناسب مشكلتك...

رسالة الخطأ التي تظهر لك تشير على ما يبدو إلى وجود سطر زائد في ملف configuration.php
افتح هذا الملف وتأكد من عدم وجود فراغات في بداية هذا الملف أو آخره

كما يجب الانتباه إلى أن نسختك قديمة، وتحتوي على ثغرات
يجب عليك التحديث إلى آخر نسخة من جوملا! 1.5 أو الانتقال إلى جوملا! 2.5 لأن الدعم لجوملا! 1.5 سيتوقف قريباً

أما بخصوص مشكلة الفايروس الذي أصاب موقعك، فهو مشكلة تبدو شائعة ، وقد وضع أحدهم حلاً مفصلاً لهذه المشكلة، يمكنك الاطلاع عليه عبر هذه المشاركة:
http://forum.joomla.org/viewtopic.php?p=1671912

بالتوفيق

Re: رسالة خطأ في الموقع Warning: Cannot modify header inform

Posted: Sun Jul 15, 2012 12:35 pm
by theSADman
جزاك الله خير

انا فتحت الاف تي بي لقيت ملفين configuration.php والآخر configuration.php-dist

واحد منهم الله يخليك

للعلم الموقع تحولت اللغة فيه الى لغة غير مفهومة أما دخول الآدمن شغال عادي

ممكن طريقة التحديث لو سمحت المشكله انه هاذي النسخة ما تقبل اني اركب com_jupgrade-2.5.1 ولا اقدر اغيرها لانه فيها ارشيف كبير لعملي

Re: رسالة خطأ في الموقع Warning: Cannot modify header inform

Posted: Sun Jul 15, 2012 1:09 pm
by theSADman
سؤال أخر هل استطيع نقل القالب الحالي الذ يعمل على 23-5-1 إلى إصدار أحدث يعني 1.7 مثلا

Re: رسالة خطأ في الموقع Warning: Cannot modify header inform

Posted: Sun Jul 15, 2012 2:32 pm
by fares5shm

theSADman wrote:سؤال أخر هل استطيع نقل القالب الحالي الذ يعمل على 23-5-1 إلى إصدار أحدث يعني 1.7 مثلا
نعم يمكنك، فإما أن يكون للقالب نفسه نسخة تدعم 2.5، أو أن تحوله بنفسك كما يلي:
http://magazine.joomla.org/issues/Issue ... -Joomla-25

=========

أما بخصوص سؤالك الأول فالملف المطلوب هو configuration.php
أرجو أن تجرب فتح الملف والتأكد من عدم وجود فراغات، ويفضل أن تستخدم محرر نصوص جيد مثل: Notpad++
http://notepad-plus-plus.org/download

========

بالنسبة للتحديث إلى جوملا! 2.5 عليك أولاً تحديث نسخة جوملا التي لديك إلى آخر إصدار من 1.5، ومن ثم تنصب Jupgrade لمساعدتك في عملية الترقية

تحياتي
وبالتوفيق
[/right]